Skip to main content

Send the payment status to HIU

POST/api/hiecm/scan-gateway/v3/patient/scan-pay/notify

Header

Authorisation will be provided by the gateway session API after the successful verification of client ID and Secret [ Example: Bearer ]

REQUEST-ID unique UUID[ Example: 18235d89-cb13-479d-ad71-7a57d5f669a8 ]

TIMESTAMP actual time of the requested was initiated[ Example: 2022-10-06T10:10:00.587Z ]

X-CM-ID consent manager ID[ Example: sbx ]

X-HIP-ID [Example: HIP_ID]

Request Body

acknowledgement This is a key value which contains the payment status abhaAddress transactionId orderNumber paymentRecipetURL[ Example: { status: [SUCCESS, CANCELED, PENDING, FAIL, REFUND_INITIATED, REFUND_SUCCESS] abhaAddress: transactionId: uniqueId orderNumber: 76274** openOrderRequestId: 939 800-325d-42c3-**-1***** paymentDate: 2025-01-20T07:47:49.102Z paymentRecipetURL: URL } ]

error is optional object in case of any error or Failure then only send error object

Authorizations

Authorizationbearer tokenRequired

The access token from POST /api/hiecm/gateway/v3/sessions, sent with a Bearer prefix.

Headers

REQUEST-IDstringRequired

Unique UUID for track the end to end request transaction

TIMESTAMPstringRequired

Actual time of the request was initiated, ISO 8601 represents date and time by starting with the year, followed by the month, the day, the hour, the minutes, seconds and milliseconds.

X-CM-IDstringRequired

Suffix of the consent manager to which the request was intended

X-HIP-IDstringRequired

Identifier of the health information provider to which the request was intended

Responses

400

Bad Request

Error codes for this module

errorobject

The error code and message, if any occurred.

error.codestringRequired

ABDM-2500 - no mapping found to the resp.requestId cache. May be returned either bare or with a trailing ": " separator; match on the code itself and tolerate the separator.

error.messagestringRequired
401

Unauthorized

Everything returns 401

codestring

900901 - Invalid Credentials. May be returned either bare or with a trailing ": " separator; match on the code itself and tolerate the separator.

messagestring
descriptionstring
429

Too Many Requests

Error codes for this module

errorobject

The error code and message, if any occurred.

error.codestringRequired

ABDM-2429 - Too Many Requests found. May be returned either bare or with a trailing ": " separator; match on the code itself and tolerate the separator.

error.messagestringRequired
500

Internal Server Error

Error codes for this module

errorobject

The error code and message, if any occurred.

error.codestringRequired

ABDM-2500 - Unknown error occurred. May be returned either bare or with a trailing ": " separator; match on the code itself and tolerate the separator.

error.messagestringRequired
503

Service Unavailable

Error codes for this module

codestringRequired

ABDM-2500 - Service Unavailable. May be returned either bare or with a trailing ": " separator; match on the code itself and tolerate the separator.

messagestringRequired

Callbacks​

  • After this call, ABDM posts This is an callback API for on-notify API need to implement by HIP to received the confirmation of notification. to /v3/patient/scan-pay/on-notify. Open the callback.